Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Strategized_Object_Proxy_Broker.cpp File Reference

`#include "Strategized_Object_Proxy_Broker.h"`
`#include "Direct_Object_Proxy_Impl.h"`
`#include "ThruPOA_Object_Proxy_Impl.h"`
`#include "tao/Remote_Object_Proxy_Impl.h"`

Include dependency graph for Strategized_Object_Proxy_Broker.cpp:

## Functions
const char * | get_rcsid_tao_TAO_Strategized_Object_Proxy_Broker (const char *)
TAO_Strategized_Object_Proxy_Broker * | the_tao_strategized_object_proxy_broker (void)
TAO_Object_Proxy_Broker * | _TAO_collocation_Object_Proxy_Broker_Factory (CORBA::Object_ptr obj)
int | _TAO_collocation_Object_Proxy_Broker_Factory_Initializer (long dummy)
## Variables
const char * | rcsid_tao_TAO_Strategized_Object_Proxy_Broker = get_rcsid_tao_TAO_Strategized_Object_Proxy_Broker ( rcsid_tao_TAO_Strategized_Object_Proxy_Broker )
int | _TAO_collocation_Object_Proxy_Broker_Factory_Initializer_Scarecrow

## Function Documentation

TAO_Object_Proxy_Broker* _TAO_collocation_Object_Proxy_Broker_Factory | ( | CORBA::Object_ptr | obj | ) |

int _TAO_collocation_Object_Proxy_Broker_Factory_Initializer | ( | long | dummy | ) |

const char* get_rcsid_tao_TAO_Strategized_Object_Proxy_Broker | ( | const char * |  | ) | `[inline, static]`

TAO_Strategized_Object_Proxy_Broker* the_tao_strategized_object_proxy_broker | ( | void |  | ) |

## Variable Documentation

int _TAO_collocation_Object_Proxy_Broker_Factory_Initializer_Scarecrow`[static]`

| Initial value:
    _TAO_collocation_Object_Proxy_Broker_Factory_Initializer (ACE_reinterpret_cast (long,
                                                                                    _TAO_collocation_Object_Proxy_Broker_Factory_Initializer))

const char* rcsid_tao_TAO_Strategized_Object_Proxy_Broker = get_rcsid_tao_TAO_Strategized_Object_Proxy_Broker ( rcsid_tao_TAO_Strategized_Object_Proxy_Broker )`[static]`